Bug 1378781 - Can not install i686 gnutls on x86_64
Summary: Can not install i686 gnutls on x86_64
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gnutls
Version: 24
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Nikos Mavrogiannopoulos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-23 09:09 UTC by kuraron.kuratan
Modified: 2016-10-10 11:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-10 11:53:34 UTC


Attachments (Terms of Use)

Description kuraron.kuratan 2016-09-23 09:09:11 UTC
Description of problem:

Can not install i686 gnutls on x86_64

Version-Release number of selected component (if applicable):

gnutls i686 3.4.15-1.fc24

How reproducible:

?


Steps to Reproduce:
1. dnf install gnutls.i686

Actual results:

[root@tender yum.repos.d]# dnf clean packages
#121 files removed
[root@tender yum.repos.d]# LANG=en_US.UTF-8 dnf install gnutls.i686
Last metadata expiration check: 0:03:26 ago on Fri Sep 23 10:56:40 2016.
Dependencies resolved.
================================================================================================================================================================================
 Package                                          Arch                               Version                                        Repository                             Size
================================================================================================================================================================================
Installing:
 glibc                                            i686                               2.23.1-10.fc24                                 updates                               4.3 M
 gmp                                              i686                               1:6.1.1-1.fc24                                 updates                               305 k
 gnutls                                           i686                               3.4.15-1.fc24                                  updates                               648 k
 libffi                                           i686                               3.1-9.fc24                                     fedora                                 34 k
 libgcc                                           i686                               6.2.1-2.fc24                                   updates                                97 k
 libidn                                           i686                               1.33-1.fc24                                    updates                               234 k
 libstdc++                                        i686                               6.2.1-2.fc24                                   updates                               480 k
 libtasn1                                         i686                               4.9-1.fc24                                     updates                               329 k
 nettle                                           i686                               3.2-3.fc24                                     updates                               323 k
 nss-softokn-freebl                               i686                               3.26.0-1.0.fc24                                updates                               210 k
 p11-kit                                          i686                               0.23.2-2.fc24                                  fedora                                148 k
 zlib                                             i686                               1.2.8-10.fc24                                  fedora                                 98 k

Transaction Summary
================================================================================================================================================================================
Install  12 Packages

Total download size: 7.1 M
Installed size: 22 M
Is this ok [y/N]: y
Downloading Packages:
(1/12): zlib-1.2.8-10.fc24.i686.rpm                                                                                                             3.1 MB/s |  98 kB     00:00    
(2/12): p11-kit-0.23.2-2.fc24.i686.rpm                                                                                                          3.8 MB/s | 148 kB     00:00    
(3/12): libffi-3.1-9.fc24.i686.rpm                                                                                                              2.8 MB/s |  34 kB     00:00    
(4/12): nss-softokn-freebl-3.26.0-1.0.fc24.i686.rpm                                                                                             7.5 MB/s | 210 kB     00:00    
(5/12): gnutls-3.4.15-1.fc24.i686.rpm                                                                                                           7.6 MB/s | 648 kB     00:00    
(6/12): libgcc-6.2.1-2.fc24.i686.rpm                                                                                                            7.0 MB/s |  97 kB     00:00    
(7/12): gmp-6.1.1-1.fc24.i686.rpm                                                                                                               9.3 MB/s | 305 kB     00:00    
(8/12): libidn-1.33-1.fc24.i686.rpm                                                                                                              12 MB/s | 234 kB     00:00    
(9/12): libstdc++-6.2.1-2.fc24.i686.rpm                                                                                                          15 MB/s | 480 kB     00:00    
(10/12): libtasn1-4.9-1.fc24.i686.rpm                                                                                                            13 MB/s | 329 kB     00:00    
(11/12): nettle-3.2-3.fc24.i686.rpm                                                                                                              14 MB/s | 323 kB     00:00    
(12/12): glibc-2.23.1-10.fc24.i686.rpm                                                                                                           19 MB/s | 4.3 MB     00:00    
--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                           3.5 MB/s | 7.1 MB     00:02     
Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /usr/share/doc/gmp/NEWS from install of gmp-1:6.1.1-1.fc24.i686 conflicts with file from package gmp-1:6.1.0-2.fc24.x86_64
  file /usr/share/doc/libidn/NEWS from install of libidn-1.33-1.fc24.i686 conflicts with file from package libidn-1.32-2.fc24.x86_64
  file /usr/share/doc/libidn/README from install of libidn-1.33-1.fc24.i686 conflicts with file from package libidn-1.32-2.fc24.x86_64
  file /usr/share/doc/libidn/FAQ from install of libidn-1.33-1.fc24.i686 conflicts with file from package libidn-1.32-2.fc24.x86_64
  file /usr/share/doc/libidn/AUTHORS from install of libidn-1.33-1.fc24.i686 conflicts with file from package libidn-1.32-2.fc24.x86_64
  file /usr/share/doc/libidn/THANKS from install of libidn-1.33-1.fc24.i686 conflicts with file from package libidn-1.32-2.fc24.x86_64
  file /usr/share/emacs/site-lisp/libidn/idna.el from install of libidn-1.33-1.fc24.i686 conflicts with file from package libidn-1.32-2.fc24.x86_64
  file /usr/share/emacs/site-lisp/libidn/idna.elc from install of libidn-1.33-1.fc24.i686 conflicts with file from package libidn-1.32-2.fc24.x86_64
  file /usr/share/emacs/site-lisp/libidn/punycode.el from install of libidn-1.33-1.fc24.i686 conflicts with file from package libidn-1.32-2.fc24.x86_64
  file /usr/share/emacs/site-lisp/libidn/punycode.elc from install of libidn-1.33-1.fc24.i686 conflicts with file from package libidn-1.32-2.fc24.x86_64
  file /usr/share/info/libidn.info.gz from install of libidn-1.33-1.fc24.i686 conflicts with file from package libidn-1.32-2.fc24.x86_64
  file /usr/share/locale/cs/LC_MESSAGES/libidn.mo from install of libidn-1.33-1.fc24.i686 conflicts with file from package libidn-1.32-2.fc24.x86_64
  file /usr/share/locale/da/LC_MESSAGES/libidn.mo from install of libidn-1.33-1.fc24.i686 conflicts with file from package libidn-1.32-2.fc24.x86_64
  file /usr/share/locale/de/LC_MESSAGES/libidn.mo from install of libidn-1.33-1.fc24.i686 conflicts with file from package libidn-1.32-2.fc24.x86_64
  file /usr/share/locale/en@boldquot/LC_MESSAGES/libidn.mo from install of libidn-1.33-1.fc24.i686 conflicts with file from package libidn-1.32-2.fc24.x86_64
  file /usr/share/locale/en@quot/LC_MESSAGES/libidn.mo from install of libidn-1.33-1.fc24.i686 conflicts with file from package libidn-1.32-2.fc24.x86_64
  file /usr/share/locale/eo/LC_MESSAGES/libidn.mo from install of libidn-1.33-1.fc24.i686 conflicts with file from package libidn-1.32-2.fc24.x86_64
  file /usr/share/locale/fi/LC_MESSAGES/libidn.mo from install of libidn-1.33-1.fc24.i686 conflicts with file from package libidn-1.32-2.fc24.x86_64
  file /usr/share/locale/fr/LC_MESSAGES/libidn.mo from install of libidn-1.33-1.fc24.i686 conflicts with file from package libidn-1.32-2.fc24.x86_64
  file /usr/share/locale/hr/LC_MESSAGES/libidn.mo from install of libidn-1.33-1.fc24.i686 conflicts with file from package libidn-1.32-2.fc24.x86_64
  file /usr/share/locale/hu/LC_MESSAGES/libidn.mo from install of libidn-1.33-1.fc24.i686 conflicts with file from package libidn-1.32-2.fc24.x86_64
  file /usr/share/locale/id/LC_MESSAGES/libidn.mo from install of libidn-1.33-1.fc24.i686 conflicts with file from package libidn-1.32-2.fc24.x86_64
  file /usr/share/locale/it/LC_MESSAGES/libidn.mo from install of libidn-1.33-1.fc24.i686 conflicts with file from package libidn-1.32-2.fc24.x86_64
  file /usr/share/locale/ja/LC_MESSAGES/libidn.mo from install of libidn-1.33-1.fc24.i686 conflicts with file from package libidn-1.32-2.fc24.x86_64
  file /usr/share/locale/nl/LC_MESSAGES/libidn.mo from install of libidn-1.33-1.fc24.i686 conflicts with file from package libidn-1.32-2.fc24.x86_64
  file /usr/share/locale/pl/LC_MESSAGES/libidn.mo from install of libidn-1.33-1.fc24.i686 conflicts with file from package libidn-1.32-2.fc24.x86_64
  file /usr/share/locale/pt_BR/LC_MESSAGES/libidn.mo from install of libidn-1.33-1.fc24.i686 conflicts with file from package libidn-1.32-2.fc24.x86_64
  file /usr/share/locale/ro/LC_MESSAGES/libidn.mo from install of libidn-1.33-1.fc24.i686 conflicts with file from package libidn-1.32-2.fc24.x86_64
  file /usr/share/locale/sr/LC_MESSAGES/libidn.mo from install of libidn-1.33-1.fc24.i686 conflicts with file from package libidn-1.32-2.fc24.x86_64
  file /usr/share/locale/uk/LC_MESSAGES/libidn.mo from install of libidn-1.33-1.fc24.i686 conflicts with file from package libidn-1.32-2.fc24.x86_64
  file /usr/share/locale/vi/LC_MESSAGES/libidn.mo from install of libidn-1.33-1.fc24.i686 conflicts with file from package libidn-1.32-2.fc24.x86_64
  file /usr/share/locale/zh_CN/LC_MESSAGES/libidn.mo from install of libidn-1.33-1.fc24.i686 conflicts with file from package libidn-1.32-2.fc24.x86_64
  file /usr/share/man/man1/idn.1.gz from install of libidn-1.33-1.fc24.i686 conflicts with file from package libidn-1.32-2.fc24.x86_64
  file /usr/share/doc/libtasn1/NEWS from install of libtasn1-4.9-1.fc24.i686 conflicts with file from package libtasn1-4.8-1.fc24.x86_64
  file /usr/share/doc/libtasn1/libtasn1.pdf from install of libtasn1-4.9-1.fc24.i686 conflicts with file from package libtasn1-4.8-1.fc24.x86_64
  file /usr/share/doc/gnutls/NEWS from install of gnutls-3.4.15-1.fc24.i686 conflicts with file from package gnutls-3.4.12-1.fc24.x86_64
  file /usr/share/locale/cs/LC_MESSAGES/gnutls.mo from install of gnutls-3.4.15-1.fc24.i686 conflicts with file from package gnutls-3.4.12-1.fc24.x86_64
  file /usr/share/locale/de/LC_MESSAGES/gnutls.mo from install of gnutls-3.4.15-1.fc24.i686 conflicts with file from package gnutls-3.4.12-1.fc24.x86_64
  file /usr/share/locale/en@boldquot/LC_MESSAGES/gnutls.mo from install of gnutls-3.4.15-1.fc24.i686 conflicts with file from package gnutls-3.4.12-1.fc24.x86_64
  file /usr/share/locale/en@quot/LC_MESSAGES/gnutls.mo from install of gnutls-3.4.15-1.fc24.i686 conflicts with file from package gnutls-3.4.12-1.fc24.x86_64
  file /usr/share/locale/eo/LC_MESSAGES/gnutls.mo from install of gnutls-3.4.15-1.fc24.i686 conflicts with file from package gnutls-3.4.12-1.fc24.x86_64
  file /usr/share/locale/fi/LC_MESSAGES/gnutls.mo from install of gnutls-3.4.15-1.fc24.i686 conflicts with file from package gnutls-3.4.12-1.fc24.x86_64
  file /usr/share/locale/fr/LC_MESSAGES/gnutls.mo from install of gnutls-3.4.15-1.fc24.i686 conflicts with file from package gnutls-3.4.12-1.fc24.x86_64
  file /usr/share/locale/it/LC_MESSAGES/gnutls.mo from install of gnutls-3.4.15-1.fc24.i686 conflicts with file from package gnutls-3.4.12-1.fc24.x86_64
  file /usr/share/locale/ms/LC_MESSAGES/gnutls.mo from install of gnutls-3.4.15-1.fc24.i686 conflicts with file from package gnutls-3.4.12-1.fc24.x86_64
  file /usr/share/locale/nl/LC_MESSAGES/gnutls.mo from install of gnutls-3.4.15-1.fc24.i686 conflicts with file from package gnutls-3.4.12-1.fc24.x86_64
  file /usr/share/locale/pl/LC_MESSAGES/gnutls.mo from install of gnutls-3.4.15-1.fc24.i686 conflicts with file from package gnutls-3.4.12-1.fc24.x86_64
  file /usr/share/locale/sv/LC_MESSAGES/gnutls.mo from install of gnutls-3.4.15-1.fc24.i686 conflicts with file from package gnutls-3.4.12-1.fc24.x86_64
  file /usr/share/locale/uk/LC_MESSAGES/gnutls.mo from install of gnutls-3.4.15-1.fc24.i686 conflicts with file from package gnutls-3.4.12-1.fc24.x86_64
  file /usr/share/locale/vi/LC_MESSAGES/gnutls.mo from install of gnutls-3.4.15-1.fc24.i686 conflicts with file from package gnutls-3.4.12-1.fc24.x86_64
  file /usr/share/locale/zh_CN/LC_MESSAGES/gnutls.mo from install of gnutls-3.4.15-1.fc24.i686 conflicts with file from package gnutls-3.4.12-1.fc24.x86_64

Error Summary
-------------



Expected results:
It works

Additional info:

Comment 1 Nikos Mavrogiannopoulos 2016-09-23 09:13:07 UTC
I'm unable to reproduce on F24:
$ sudo dnf install gnutls.i686 -y
Last metadata expiration check: 2:25:34 ago on Fri Sep 23 08:47:09 2016.
Dependencies resolved.
=========================================================================================================
 Package                Arch                 Version                       Repository               Size
=========================================================================================================
Installing:
 gnutls                 i686                 3.4.15-1.fc24                 updates                 648 k

Transaction Summary
=========================================================================================================
Install  1 Package

Total download size: 648 k
Installed size: 2.0 M
Downloading Packages:
gnutls-3.4.15-1.fc24.i686.rpm                                             11 MB/s | 648 kB     00:00    
---------------------------------------------------------------------------------------------------------
Total                                                                    521 kB/s | 648 kB     00:01     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Installing  : gnutls-3.4.15-1.fc24.i686                                                            1/1 
  Verifying   : gnutls-3.4.15-1.fc24.i686                                                            1/1 

Installed:
  gnutls.i686 3.4.15-1.fc24

Comment 2 Nikos Mavrogiannopoulos 2016-09-23 09:13:53 UTC
$ rpm -q gnutls
gnutls-3.4.15-1.fc24.x86_64
gnutls-3.4.15-1.fc24.i686

Comment 3 kuraron.kuratan 2016-09-23 09:19:57 UTC
This is how it looks like here:

rpm -q gnutls
gnutls-3.4.12-1.fc24.x86_64
gnutls-3.4.15-1.fc24.x86_64

Comment 4 kuraron.kuratan 2016-09-23 09:23:41 UTC
I managed to fix it with: package-cleanup --cleandupes

Not sure why that was necessary though... (this is a fresh install of Fedora 24 from yesterday)

Comment 5 Tomas Mraz 2016-09-23 10:21:00 UTC
Is it possible that previous transaction updating gnutls from 3.4.12 to 3.4.15 got aborted for some reason?

Anyway this is not a bug in gnutls.


Note You need to log in before you can comment on or make changes to this bug.